The reasons the bank records when a loan is declined or withdrawn. Send a code as reasonCode in declineDetails or withdrawDetails of PATCH /loans/{id}. A bank can have no withdrawal reasons.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/reasons
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/reasons
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/reasons?purpose=DECLINE' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": [ { "code": "string", "name": "string", "category": "string", "type": "REGULATORY" } ] }